import 'package:custom_ping/custom_ping.dart';
import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  const MethodChannel channel = MethodChannel('custom_ping');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  /*test('getPlatformVersion', () async {
    expect(await CustomPing.platformVersion, '42');
  });*/

  test('adds one to input values', () {
    var a = PingService();

    var result = a.getSubscription(onTrue: (e) {
      print(e);
    });

    expect(result.runtimeType.toString(), '_BroadcastSubscription<bool>');
    result.cancel();

    var result2 = a.getSubscription(onTrue: (e) {
      print(e);
    });

    result2.cancel();
  });
}
